--NAME:ACTUAL_DEFAULT_SERVEURS_VM_VSPHERE
--INFRA:AS
--PLUGINS:CHECK_SNMP_WINDOWS_MEM_SWAP,CHECK_SNMP_WINDOWS_STORAGE,CHECK_SNMP_UPTIME,CHECK_SNMP_WIN_SERVICE,CHECK_SNMP_WIN_SERVICE,CHECK_ICMP,CHECK_SNMP_LOAD,CHECK_SNMP_WINDOWS_MEM,CHECK_SNMP_WIN_SERVICE,CHECK_TCP

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'ACTUAL_DEFAULT_SERVEURS_VM_VSPHERE','Actual patterne de base pour serveur virtuel sous windows serveur.');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_WINDOWS_MEM_SWAP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_DEFAULT_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_MEM_SWAP'),'-H $IP -C $SNMP_COM -m "^Virtual Memory$" -w 80 -c 90','300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_WINDOWS_STORAGE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_DEFAULT_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_STORAGE'),'-H $IP -C $SNMP_COM -m "^C:" -w 80 -c 90','300000','1','-e $ERROR -t "supervision@actualsystemes.fr"',NULL,'1','1','3','1');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_UPTIME',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_DEFAULT_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_UPTIME'),'-H $IP -C $SNMP_COM -w 1440 -c 60','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_WIN_SERVICE_Tools',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_DEFAULT_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WIN_SERVICE'),'-H $IP -C $SNMP_COM -n "VMware Tools"','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_WIN_SERVICE_VMWareTicket',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_DEFAULT_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WIN_SERVICE'),'-H $IP -C $SNMP_COM -n "VMware Alias Manager and Ticket Service"','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_DEFAULT_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),'-H $IP -w 200,50% -c 500,100%','300000',NULL,NULL,NULL,NULL,NULL,'1',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_DEFAULT_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LOAD'),'-H $IP -C $SNMP_COM -w 80 -c 90','300000','1','-e $ERROR -t "supervision@actualsystemes.fr"',NULL,'1','1','2','1');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_WINDOWS_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_DEFAULT_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_MEM'),'-H $IP -C $SNMP_COM -m "^Physical Memory$" -w 80 -c 90','300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_WIN_SERVICE_CAFManagementAgent',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_DEFAULT_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WIN_SERVICE'),'-H $IP -C $SNMP_COM -n "VMware CAF"','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_TCP_RDP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='ACTUAL_DEFAULT_SERVEURS_VM_VSPHERE'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_TCP'),'-H $IP -p 3389 -w 1 -c 2','300000',NULL,NULL,NULL,NULL,NULL,'4',NULL);
